<div class="row">
  <div class="col-4">
    <button class="btn btn-block" (click)="onDetailsButtonClick()">Display Details</button>
  </div>

  <div class="col-8 border">
    <div *ngIf="areDetailsDisplayed">
      <p class="text-center">Details Content Details Content Details</p>
    </div>
  </div>
</div>

<ul>
  <div *ngFor="let logItem of logDetailButtonClicks; let i = index">
    <li [ngStyle]="{'background-color': (i >= 5) ? 'blue' : 'transparent'}">{{ logItem }}</li>
  </div>
</ul>